Bug 137862 - [GTK] Add WebKitWebResource::failed-with-tls-errors signal
Summary: [GTK] Add WebKitWebResource::failed-with-tls-errors signal
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2014-10-19 01:44 PDT by Carlos Garcia Campos
Modified: 2014-11-05 02:54 PST (History)
7 users (show)

See Also:


Attachments
Patch (11.49 KB, patch)
2014-10-19 01:49 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-10-19 01:44:17 PDT
To make it possible to get the TLS errors information and the certificate of a subresource.
Comment 1 Carlos Garcia Campos 2014-10-19 01:49:48 PDT
Created attachment 240084 [details]
Patch
Comment 2 WebKit Commit Bot 2014-10-19 01:51:00 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Gustavo Noronha (kov) 2014-10-20 05:51:39 PDT
Comment on attachment 240084 [details]
Patch

For compatibility's sake, it sounds like we should also emit the failed signal, or do you think that is not necessary?
Comment 4 Carlos Garcia Campos 2014-10-20 08:07:39 PDT
(In reply to comment #3)
> Comment on attachment 240084 [details]
> Patch
> 
> For compatibility's sake, it sounds like we should also emit the failed
> signal, or do you think that is not necessary?

This is different to the WebView signal. In the WebView signal you are supposed to be able to react to the signal, or ignore it. That's why it's boolean, you can handle it (to show the block page or whatever) or not, and if not handled, the default behaviour is to emit the failed signal, so that the normal failed handler will show the error page. In the case of resources, we don't have a default handler for load failures, the signal is only informative, you are not supposed to handle it or not. The GError passed to failed signal doesn't provide any additional information, you already know it's a TLS failure.
Comment 5 Carlos Garcia Campos 2014-11-05 02:54:06 PST
Committed r175618: <http://trac.webkit.org/changeset/175618>